<%= form_with scope: :room, url: rooms_path, local: true do |form| %>

  <% if @room != nil &&  @room.errors.any? %>
    <div id="error_explanation">
      <h2>
        <%= pluralize(@room.errors.count, "error") %> prohibited this article from being saved:
      </h2>
      <ul>
        <% @room.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <p>
    <%= form.label :name %><br>
    <%= form.text_field :name %>
  </p>

  <p>
    <%= form.label :roomtype %><br>
    <%= form.select :roomtype, ['Targyalo','Kivetito']%>
  </p>

  <p>
    <%= form.submit %>
  </p>

<% end %>

<%= link_to 'Back', rooms_path %>